IntelliCAD 11.1 Object Library
Closed Property
See Also 
LWPolyline Object : Closed Property

Description

Sets or returns if the entity is closed.

Property type

Read-write property

Syntax

Visual Basic
Public Property Closed As Boolean

Return Type

Boolean value:

TRUE = The lightweight polyline is closed.

FALSE = The lightweight polyline is open.

Example

Sub Length/ClosedExample()

' This example adds a polyline to the drawing using the AddPolyline method.

' It then obtains the Length and Closed properties of the polyline.

     Dim myDoc As IntelliCAD.Document

     Dim myPline As Polyline

     Dim myPoints As points

     Dim pt As Point

     Set myDoc = ActiveDocument

     Set myPoints = Library.CreatePoints

     Set pt = Library.CreatePoint(1, 1, 0)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = pt.x

     myPoints(myPoints.Count - 1).y = pt.y

     myPoints(myPoints.Count - 1).z = pt.z

     Set pt = Library.CreatePoint(5, 3, 0)

 

     myPoints.Add

     myPoints(myPoints.Count - 1).x = pt.x

     myPoints(myPoints.Count - 1).y = pt.y

     myPoints(myPoints.Count - 1).z = pt.z

     Set myPline = ThisDocument.ModelSpace.AddPolyline(myPoints)

     MsgBox "The length of the new polyline is: " & myPline.Length

     MsgBox "The Closed property is: " & myPline.Closed

     myPline.Update

     ThisDocument.Application.ZoomExtents

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.